Bug 12699 - Winbind does not substitute 'template homedir' and 'template shell'
Winbind does not substitute 'template homedir' and 'template shell'
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
4.6.0rc4
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-17 11:05 UTC by Andreas Schneider
Modified: 2017-04-21 06:52 UTC (History)
2 users (show)

See Also:


Attachments
patch for 4.6 (7.25 KB, patch)
2017-03-30 06:30 UTC, Andreas Schneider
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2017-03-17 11:05:20 UTC
Winbind does not substitute 'template homedir' and 'template shell' when querying users. This could be a regression.

Patch will follow.
Comment 1 Volker Lendecke 2017-03-17 12:51:13 UTC
--- a/source3/winbindd/wb_queryuser.c
+++ b/source3/winbindd/wb_queryuser.c
@@ -329,7 +329,7 @@ static void wb_queryuser_got_group_name(struct tevent_req *subreq)                                                                                                NTSTATUS status;                                                                                                                                                              const char *domain_name;                                                                                                                                                                                                                                                                                                                            -       status = wb_lookupsid_recv(subreq, state, &type, &domain_name,                                                                                                        +       status = wb_lookupsid_recv(subreq, state->info, &type, &domain_name,                                                                                                                                     &state->info->primary_group_name);                                                                                                                 TALLOC_FREE(subreq);
        if (tevent_req_nterror(req, status)) {

should fix this
Comment 2 Andreas Schneider 2017-03-30 06:30:36 UTC
Created attachment 13124 [details]
patch for 4.6
Comment 3 Jeremy Allison 2017-03-30 18:03:01 UTC
Comment on attachment 13124 [details]
patch for 4.6

LGTM.
Comment 4 Jeremy Allison 2017-03-30 18:03:26 UTC
Reassigning to Karolin for inclusion in 4.6.next.
Comment 5 Karolin Seeger 2017-03-31 08:22:45 UTC
(In reply to Jeremy Allison from comment #4)
Pushed to autobiuld-v4-6-test.
Comment 6 Karolin Seeger 2017-04-21 06:52:16 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to v4-6-test.
Closing out bug report.

Thanks!